MPD

- Main Page
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields

# playlist_plugin Struct Reference

`#include <playlist_plugin.h>`

## Data Fields
const char * | name
bool(* | init )(const struct config_param *param)
| Initialize the plugin.
void(* | finish )(void)
| Deinitialize a plugin which was initialized successfully.
struct playlist_provider *(* | open_uri )(const char *uri)
| Opens the playlist on the specified URI.
struct playlist_provider *(* | open_stream )(struct input_stream *is)
| Opens the playlist in the specified input stream.
void(* | close )(struct playlist_provider *playlist)
struct song *(* | read )(struct playlist_provider *playlist)
const char *const | schemes
const char *const | suffixes
const char *const | mime_types

## Detailed Description

Definition at line 44 of file playlist_plugin.h.

## Field Documentation

void(* playlist_plugin::close)(struct playlist_provider *playlist)

Definition at line 76 of file playlist_plugin.h.

void(* playlist_plugin::finish)(void)

Deinitialize a plugin which was initialized successfully.

Optional method.

Definition at line 61 of file playlist_plugin.h.

bool(* playlist_plugin::init)(const struct config_param *param)

Initialize the plugin.

Optional method.

Parameters:

  param | a configuration block for this plugin, or NULL if none is configured

Returns:
  true if the plugin was initialized successfully, false if the plugin is not available

Definition at line 55 of file playlist_plugin.h.

const char* const playlist_plugin::mime_types

Definition at line 82 of file playlist_plugin.h.

const char* playlist_plugin::name

Definition at line 45 of file playlist_plugin.h.

struct playlist_provider*(* playlist_plugin::open_stream)(struct input_stream *is)`[read]`

Opens the playlist in the specified input stream.

It has either matched one of the suffixes or one of the MIME types.

Definition at line 74 of file playlist_plugin.h.

struct playlist_provider*(* playlist_plugin::open_uri)(const char *uri)`[read]`

Opens the playlist on the specified URI.

This URI has either matched one of the schemes or one of the suffixes.

Definition at line 67 of file playlist_plugin.h.

struct song*(* playlist_plugin::read)(struct playlist_provider *playlist)`[read]`

Definition at line 78 of file playlist_plugin.h.

const char* const playlist_plugin::schemes

Definition at line 80 of file playlist_plugin.h.

const char* const playlist_plugin::suffixes

Definition at line 81 of file playlist_plugin.h.

The documentation for this struct was generated from the following file:

- src/playlist_plugin.h